"use strict";

exports.__esModule = true;
exports.command = void 0;
var command = {
  name: 'moveCellSelectionToMostBottomInlineEnd',
  callback: function callback(hot) {
    var selection = hot.selection,
      rowIndexMapper = hot.rowIndexMapper,
      columnIndexMapper = hot.columnIndexMapper;
    var fixedRows = parseInt(hot.getSettings().fixedRowsBottom, 10);
    var row = rowIndexMapper.getNearestNotHiddenIndex(hot.countRows() - fixedRows - 1, -1);
    var column = columnIndexMapper.getNearestNotHiddenIndex(hot.countCols() - 1, -1);
    selection.setRangeStart(hot._createCellCoords(row, column));
  }
};
exports.command = command;